Bug 1052002 - [abrt] gnome-shell: _cairo_ft_font_face_scaled_font_create(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _cairo_ft_font_face_scaled_font_create(): gnome-shell kil...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:c53f5077d35d874329c4e7ebe0b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-13 05:19 UTC by valentingushchin@gmail.com
Modified: 2015-06-29 14:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:24:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (165.50 KB, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: cgroup (172 bytes, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: core_backtrace (48.69 KB, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: dso_list (22.93 KB, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: environ (1.48 KB, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: exploitable (82 bytes, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2014-01-13 05:19 UTC, valentingushchin@gmail.com
no flags Details
File: maps (97.65 KB, text/plain)
2014-01-13 05:20 UTC, valentingushchin@gmail.com
no flags Details
File: open_fds (5.35 KB, text/plain)
2014-01-13 05:20 UTC, valentingushchin@gmail.com
no flags Details
File: proc_pid_status (932 bytes, text/plain)
2014-01-13 05:20 UTC, valentingushchin@gmail.com
no flags Details
File: var_log_messages (1.90 KB, text/plain)
2014-01-13 05:20 UTC, valentingushchin@gmail.com
no flags Details

Description valentingushchin@gmail.com 2014-01-13 05:19:42 UTC
Version-Release number of selected component:
gnome-shell-3.10.2.1-3.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _cairo_ft_font_face_scaled_font_create
executable:     /usr/bin/gnome-shell
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 _cairo_ft_font_face_scaled_font_create at cairo-ft-font.c:1916
 #3 INT_cairo_scaled_font_create at cairo-scaled-font.c:1135
 #4 _cairo_gstate_ensure_scaled_font at cairo-gstate.c:1861
 #5 _cairo_gstate_show_text_glyphs at cairo-gstate.c:1950
 #6 cairo_show_glyphs at cairo.c:3317
 #7 cogl_pango_renderer_set_dirty_glyph at cogl-pango-render.c:613
 #8 _cogl_pango_glyph_cache_set_dirty_glyphs_cb at cogl-pango-glyph-cache.c:386
 #9 g_hash_table_foreach at ghash.c:1526
 #10 _cogl_pango_glyph_cache_set_dirty_glyphs at cogl-pango-glyph-cache.c:401
 #11 _cogl_pango_set_dirty_glyphs at cogl-pango-render.c:675

Comment 1 valentingushchin@gmail.com 2014-01-13 05:19:45 UTC
Created attachment 849130 [details]
File: backtrace

Comment 2 valentingushchin@gmail.com 2014-01-13 05:19:47 UTC
Created attachment 849131 [details]
File: cgroup

Comment 3 valentingushchin@gmail.com 2014-01-13 05:19:50 UTC
Created attachment 849132 [details]
File: core_backtrace

Comment 4 valentingushchin@gmail.com 2014-01-13 05:19:52 UTC
Created attachment 849133 [details]
File: dso_list

Comment 5 valentingushchin@gmail.com 2014-01-13 05:19:54 UTC
Created attachment 849134 [details]
File: environ

Comment 6 valentingushchin@gmail.com 2014-01-13 05:19:56 UTC
Created attachment 849135 [details]
File: exploitable

Comment 7 valentingushchin@gmail.com 2014-01-13 05:19:59 UTC
Created attachment 849136 [details]
File: limits

Comment 8 valentingushchin@gmail.com 2014-01-13 05:20:01 UTC
Created attachment 849137 [details]
File: maps

Comment 9 valentingushchin@gmail.com 2014-01-13 05:20:03 UTC
Created attachment 849138 [details]
File: open_fds

Comment 10 valentingushchin@gmail.com 2014-01-13 05:20:05 UTC
Created attachment 849139 [details]
File: proc_pid_status

Comment 11 valentingushchin@gmail.com 2014-01-13 05:20:08 UTC
Created attachment 849140 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 10:28:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 14:24:03 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.